diff recpt1/autogen.sh @ 74:b6607f6e2851

good citizens never use gray code. wise people never watch TV.
author Yoshiki Yazawa <yaz@honeyplanet.jp>
date Sat, 28 Nov 2009 00:12:05 +0900
parents
children 1d1d616cde98
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/recpt1/autogen.sh	Sat Nov 28 00:12:05 2009 +0900
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+[ -f configure.ac ] || {
+  echo "autogen.sh: run this command only at the top of a recpt1 source tree."
+  exit 1
+}
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "You must have autoconf installed to compile recpt1."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/autoconf/autoconf-2.62.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+  NO_AUTOCONF=yes
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "You must have automake installed to compile recpt1."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/automake/automake-1.10.1.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/automake/automake-1.10.1.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+}
+
+# if no autoconf, don't bother testing for autoheader
+test -n "$NO_AUTOCONF" || (autoheader --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`autoheader'.  The version of \`autoheader'"
+  echo "installed doesn't appear recent enough."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/autoconf/autoconf-2.62.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+        exit 1
+fi
+
+echo "Generating configure script and Makefiles for recpt1."
+
+echo "Running aclocal ..."
+aclocal -I .
+echo "Running autoconf ..."
+autoconf
+echo "Running autoheader ..."
+autoheader